#
# spec file for package python3-django-grappelli
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-grappelli
Version:        2.9.1
Release:        1.6
Url:            https://github.com/sehmaschine/django-grappelli
Summary:        A jazzy skin for the Django Admin-Interface
License:        BSD-2-Clause and LGPL-2.1+
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-grappelli/django-grappelli-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
A jazzy skin for the Django Admin-Interface (only available for standard-compliant browsers).

%prep
%setup -q -n django-grappelli-%{version}
find -name *.orig -o -name .\* -type f -delete
# Fix wrong-script-end-of-line-encoding.
find -name 'de*.js' -print0 | xargs -0 sed -i 's|\r||'

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- update to version 2.9.1:
  * First release of Grappelli which is compatible with Django 1.10.
- changes from version 2.8.3:
  * Fixed: collectstatic (removed icon-deletelink.svg from
    screen.css).
  * Fixed: Recent actions box overflowing on long text.
  * Improved: M2M help text.
  * Improved: Removed browser-specific input validation with some
    fields.
  * Improved: django-constance templates.
* Mon Sep 26 2016 arun@gmx.de
- update to version 2.8.2:
  * Fixed: Constance templates.
  * Fixed: Docs with template context processor.
  * Fixed: Styling of select vertical/horizontal.
  * Fixed: Wrong translations with index.html.
  * Fixed: Translation of "Log in" with login template.
  * Fixed: Removed loading url from future with smuggler.
  * Improved: Docs on switch user with custom user model.
  * Improved: Added universal distribute.
  * Improved: Added some blocks around js hacks with change_form.html.
  * Improved: Docs with DashboardModuleClass.
  * Improved: Related widgets.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Mar  8 2016 arun@gmx.de
- update to version 2.8.1:
  * First release of Grappelli which is compatible with Django 1.9.
* Sun Jan 17 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.7.3:
  * Fixed: Context with Dashboard.
  * Improved: Added Python 3.5 to travis.
  * Improved: Strip descending order marks from distinct columns in
    autocomplete on PostgreSQL.
  * Improved: Added autofocus to autocompletes.
  * Improved: Added original Django id/classes (container,
    inline-group, inline-related, tabular, module, form-row,
    field-box).
  * Improved: Simplified dashboard design (removed redundant change
    link).
* Sat Oct 31 2015 arun@gmx.de
- update to version 2.7.2:
  * New: Better test coverage with tox.
  * New: Added Travis CI.
  * Fixed: Autocomplete urls if add link url contains a query.
  * Fixed: Get language code.
  * Fixed: Registration templates.
  * Fixed: django-smuggler templates.
  * Fixed: Incorrect handling of related fields when there are
    multiple inlines of the same content type.
  * Fixed: Extra linebreaks in fieldset breaks display of computed
    fields.
  * Improved: Updating breadcrumb links using admin URLs.
  * Improved: Changed django-reversion templates to work with
    django-reversion>=1.9.3.
  * Improved: Allow Autocomplete lookups in tables with PostgreSQL
    json fields.
  * Improved: Docs about inline sortables (esp. sortable excludes).
  * Improved: Added {%% block grp_inline_options %%} to facilitate
    extension (stacked/tabular inlines).
* Mon Aug 10 2015 arun@gmx.de
- update to version 2.7.1:
  * First release of Grappelli which is compatible with Django 1.8.
* Sat May 30 2015 arun@gmx.de
- update to version 2.6.5:
  * Fixed: Unicode error on custom dashboard.
  * Fixed: Reversion object_history.html template.
  * Fixed: Added support for view_on_site.
  * Fixed: Position of custom views in index.html.
  * Fixed: White-space reassignment in cell layouts.
  * Fixed: Constance templates.
* Sat Mar 28 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.6.4:
  * Fixed: Prepopulated fields with inlines.
  * Fixed: Hide row if only hidden fields are given.
  * Fixed: Background with pulldown handler.
  * Fixed: Python to JSON Serialization with autocompletes with
    non-automatic id.
  * Fixed: Handled LookupError in RelatedLookup view with wrong
    app_label/model_name.
  * Fixed: Add link with changelist.
  * Fixed: Error when constance needs a hidden field.
  * Fixed: ID generation in the dashboard template app_list.html.
  * Fixed: Breadcrumb links in the template change_password.html.
  * Fixed: Use get_username to retrieve username, support custom user
    models.
  * Fixed: Sorting with dashboard when verbose_name_plural is not
    given.
  * Fixed: Removed site dependencies for admin doc views.
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * updated copyright year
  * updated url
- update to version 2.6.3:
  * New: Triggering change when input is changed in autocomplete.
  * New: Blocks header, navigation, user-tools and context-navigation with base.html.
  * Fixed: Scrollbars with M2M (with some browsers).
  * Improved: Removed note about order of STATICFILES_FINDERS from the docs.
- changes from 2.6.2:
  * Fixed: Tests with custom User model.
  * Fixed: Removed _to_field from generic lookups.
  * Fixed: Used user.pk instead of user.id with dashboard module.
  * Fixed: Unique appconfig with grappelli.dashboard.
  * Improved: Grappelli admin title is used for site title as well (if given).
  * Improved: Added block branding to base.html.
- changes from 2.6.1:
  * First release of Grappelli which is compatible with Django 1.7
- changes from 2.5.4:
  * New: Settings CLEAN_INPUT_TYPES.
  * New: Added section "Contributing" to the documentation.
  * New: Added package.json and Gruntfile.js for js/css/documentation updates.
  * New: Added GrappelliSortableMixin.
  * New: Added text alignment icons to tinymce theme.
  * Fixed: Today button handler with UI datepicker.
  * Fixed: add_url with app_index.html.
  * Fixed: Enclosed some labels properly with autocompletes (IE8 fix).
  * Improved: Add permissions with change_list_filter_sidebar.
  * Improved: Display of M2M autocompletes.
  * Improved: Flake8 checks.
- changes from 2.5.3:
  * New: Changing the sort order manually for inlines.
  * Fixed: Floating properties of form in change-form.
  * Fixed: Keyboard navigation with autocompletes.
  * Improved: Lookup pattern with autocomplete js.
  * Improved: Handle DoesNotExist error with switch_user_dropdown.
  * Removed: Sourcemap from jquery.min.js
- changes from 2.5.2:
  * Fixed: Exception chain with autocompletes.
  * Fixed: Reindexing with inline sortables.
  * Fixed: Fixed duplicate with search form.
  * Fixed: Removed onclick_attribs in submit line.
  * Improved: Added note about the location of customdashboard (docs).
  * Improved: Load cycle from future.
  * Improved: TinyMCE dialog layout.
  * Improved: Added input type email to grid system.
  * Improved: Compatibility with adminplus.
- changes from 2.5.1:
  * Fixed: Translation with error messages on change_form and change_list_filter_sidebar.
  * Fixed: Error (missing argument) with SelectFilter2.js (this is a django bug as well).
  * Fixed: Link to django–smuggler with docs/thirdparty.
  * Fixed: RelatedObjectLookup elem.focus().
  * Fixed: Some translations with password templates.
  * Fixed: Added a note about the required request context processor to quickstart.
  * Fixed: Deleted outdated jquery files.
  * Fixed: Icons with CachedStaticFilesStorage.
  * Improved: Added attribute on click to updateformindex with inlines.
  * Improved: Added info about the jQuery update to release notes.
  * Improved: Added help_text for password1 with with user/change_password.html.
  * Improved: Readability with the RTD sphinx theme.
- changes from 2.5.0:
  * New: Compatibility with Django 1.6.
  * Fixed: "limit_choices_to" is being used for related lookups (FK/M2M) as well (so far, it has only been used with autocompletes).
  * Fixed: Related/Autocomplete lookups with multiple items within "limit_choices_to" (so far, only the first dictionary item has been used).
  * Improved: Updated jQuery to 1.9.1 and jQueryUI to 1.10.3.
  * Improved: Unit-Tests for switch user and related lookups resp. autocompletes.
- changes from 2.4.7:
  * New: "autocomplete_term_adjust" function for alternative lookups with autocompletes.
  * New: Added block "messages" with base.html.
  * New: Added block "admin_title" that allows for greater customization of the main header title.
  * Fixed: Added support for "needs_explicit_pk_field".
  * Fixed: Preserved predelete class for inlines.
  * Fixed: Re–implemented visual distinction between FK–Autocompletes and M2M–Autocompletes.
  * Fixed: Removed comma from pagination separator.
  * Improved: Change encoding functions to new django 1.4.2+/1.5 (smart_bytes, smart_text).
  * Improved: Only exposing the project models when the user is authenticated to tighten security.
  * Improved: Some Minor fixes with Python 3.
  * Improved: Fixed some typos with grp-doc and extended the template documentation.
  * warning::
    Grappelli 2.4.7 requires Django >= 1.4.2 because of the new string handling.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.4.6
  + Add compatibility with Django 1.4/1.5
- Use download url as source
* Fri Feb 22 2013 alexandre@exatati.com.br
- Update to 2.4.4:
  * New: Added Czech translation for TinyMCE.
  * Fixed: set correct case-sensitive dependency for Django in
    setup.py.
  * Fixed: Make setup.py work with Python 3.
  * Fixed: Breadcrumbs with delete_confirmation.
  * Fixed: Showing help-text with empty FK autocompletes.
  * Fixed: Custom USERNAME_FIELD names for Django 1.5.
  * Fixed: Updated grappelli/urls to support Django 1.5.
  * Fixed: Added has_usable_password.
  * Fixed: Distinct results with Autocompletes.
  * Fixed: Fix RelatedLookup when called with empty string as
    object_id.
  * Fixed: 2 clicks to remove items with m2m–autocompletes.
  * Fixed: Error with adding values to hidden–fields with
    autocomplets (after using the pop up window).
  * Fixed: Autocomplete generic lookups when object_id is not an
    integer field.
  * Improved: App titles are now translatable with the dashboards
    app list.
  * Improved: Rewrites views into class-based views.
  * Improved: Better messages with autocompletes and no results.
  * Improved: Removed Django as a requirement with the setup file.
  * Improved: Replaced p.grp-readonly with div.grp-readonly (in
    order to show contents with mark_safe).
* Fri Nov  9 2012 alexandre@exatati.com.br
- Update to 2.4.3:
  * Fixed: i18n of the Save-Button.
  * Fixed: "related_label" used for autocomplete list.
  * Fixed: help_text with related–lookups and autocomplete lookups
    (help_text with M2M is not possible because of a django–bug).
  * Fixed: Bug with model does not exist and m2m lookups.
  * Fixed: Calendar button with Chrome and zooming.
  * Improved: Error messages on Change–List are now below form
    fields (not above).
  * Improved: Design of the Login screen.
  * Improved: Cloning inlines now works with django-autocomplete-light.
  * Added: Password reset (on login page).
  * New: New Login screen.
  * New: Support for Django 1.5.
* Wed Sep 19 2012 alexandre@exatati.com.br
- Update to 2.4.2:
  * Fixed: Bug with change-permissions on ModelList
    (grappelli.dashboard).
  * Added: Alternative ChangeList Template (with filters on the
    right hand side).
  * Added: Alternative ChangeList Filter Template (displaying filters
    as list/options).
- Aditional changes from 2.4.1:
  * Fixed: Footer buttons in change_form.html do not flow correctly
    when screen width is reduced.
  * Fixed: Breadcrumbs of delete_selected_confirmation.
  * Fixed: Added titles for page-tools (open/close).
  * Fixed: Margins and capfirst for filter labels.
  * Fixed: Delete persmissions with inlines (stacked and tabular).
  * Fixed: Removed double dots for labels with auth- and
    registration-templates.
  * Fixed: Button with TinyMCE AdvLink.
  * Fixed: Timepicker closes with ESC.
  * Fixed: Window width with popups.
  * Added: Compass experimental svg support (for IE9).
  * Added: Reset actions select box with javascript.
  * Added setting "AUTOCOMPLETE_LIMIT".
  * Improved: sortables with django file uploads.
  * Improved: HTML is now allowed for object representation with
    related-lookups.
  * Improved: Documentation with using TinyMCE.
* Fri Jul 20 2012 jfunk@funktronics.ca
- Update to 2.4.0:
  * Compatibility with Django 1.4
  * New: Grappelli namespace (grp-) for css-classes.
  * New: Grappelli namespace (grp.jQuery) for jQuery.
  * New: Compass-based CSS
  * New: Added toggle-all with change-form
  * New: DOM-Documentation
  * New: sortable_excludes
  * New: 2 different Changelists (one with sidebar filters).
  * New: Minified Grappelli Javascripts.
  * New: Added support for django-reversion.
  * Changed: Selectors with Inlines in order to update the sortable-field (now also works with File-Fields)
  * Changed: Updated jQuery to 1.7.2
- Add missing LICENSE and README files
- Use fdupes
* Tue Apr  3 2012 alexandre@exatati.com.br
- Update to 2.3.8:
  * TinyMCE Update (3.5b2)
* Mon Feb 27 2012 cfarrell@suse.com
- license update: BSD-2-Clause and LGPL-2.1+
  tinymce is LGPL-2.1+ licensed
* Mon Feb 13 2012 alexandre@exatati.com.br
- Update to 2.3.7:
  * Fixed compatibility issue with Python 2.5.
  * Fixed some translations.
* Fri Feb 10 2012 alexandre@exatati.com.br
- Update to 2.3.6:
  * Fixed issue where autocomplete/related settings could not use tuples.
  * Fixed a bug with toggle all actions on the changlist
  * Fixed a bug with adding dynamic-forms to tabular and stacked inlines
    (which caused the remove-handler to throw an error)
  * Autocompletes: Only do a lookup with generics, if content-type
    is defined.
  * Support for new URL tags, see https://docs.djangoproject.com/en/dev/releases/1.3/#changes-to-url-and-ssi.
  * Fixed a bug with m2m-lookups (return obj.pk instead of obj.id).
  * Fixed a bug with very long filters (hidden behind the footer).
  * Added german and french UI-datepicker.
  * Added support for non-integer IDs with generic relations.
  * Added pre_content and post_content to dashboard.
  * Added inline_classes.
  * Added polish translation for TinyMCE and grappelli contextmenu.
  * Removed "title_url" from dashboard-docs (it hasn´t been used
    anyway so far).
* Tue Oct 11 2011 alexandre@exatati.com.br
- Update to 2.3.5:
  - Improved performance for autocomplete lookups (staticmethod
    autocomplete_search_fields is required from now on)
* Thu Sep  8 2011 alexandre@exatati.com.br
- Update to 2.3.4:
  * Moved grappelli to GitHub
  * Fixed a bug with the View on Site link (tabular/stacked inlines)
  * Added a placeholder for inline sortables
  * Fixed a bug with collapse all (stacked inlines)
  * Added autocompletes
  * Updated jQuery (to 1.6.2) and jQueryUI (to 1.8.15)
  * Added error-messages to the login form
  * Fixed a bug with hidden-fields in tabular-inlines
* Wed Jun 29 2011 alexandre@exatati.com.br
- Update to 2.3.3:
  - Documentation update
  - FileBrowser-related updates
  - Fixed a bug with delete-confirmation
  - Removed the js for adding nowrap-class (fixed with the latest
    django-version)
  - Stable sorting for dashboard.ModelList
  - Added collapse-handler to h4 for stacked-inlines
  - Help-text is now available with tabular-inlines
  - Fixed some translation-issues
  - Fixed loading-issues with Chrome
  - Reversed asc-/desc-icons
  - Updated TinyMCE to 3.4.2
* Tue Apr 19 2011 alexandre@exatati.com.br
- Update to 2.3.2 to match Django 1.3;
- Regenerate spec file with py2pack.
* Wed Nov  3 2010 alexandre@exatati.com.br
- Update to 2.2.
* Wed Sep  8 2010 alexandre@exatati.com.br
- Update to 2.1;
- Bzip2 source file;
- Spec file cleaned with spec-cleaner.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Update to 2.0.
* Tue Sep 15 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
